from django.db import models
from django.conf import settings
from core.models.AssetBundleRoom import AssetBundleRoom  # Adjust import path if needed



class Space(models.Model):
    userId = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    assetBundleRoomId = models.ForeignKey(AssetBundleRoom, on_delete=models.CASCADE)
    name = models.CharField(max_length=100)
    description = models.TextField()
    capacity = models.PositiveIntegerField()

    def __str__(self):
        return f"Space {self.name} (Capacity: {self.capacity})"
